# Interface CmdInformation

All Known Implementing Classes:
  `CmdInformationBatch, CmdInformationMultiple, CmdInformationSingle`

public interface CmdInformation

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`RESULT_SET_VALUE`

## Method Summary

Modifier and Type
Method
Description
`void`
`addErrorStat()`
`void`
`addResultSetStat()`
`void`
`addSuccessStat(long updateCount, long insertId)`
`ResultSet`
`getBatchGeneratedKeys(Protocol protocol)`
`int`
`getCurrentStatNumber()`
`ResultSet`
`getGeneratedKeys(Protocol protocol, String sql)`
`long`
`getLargeUpdateCount()`
`long[]`
`getLargeUpdateCounts()`
`int[]`
`getServerUpdateCounts()`
`int`
`getUpdateCount()`
`int[]`
`getUpdateCounts()`
`boolean`
`isCurrentUpdateCount()`
`boolean`
`moreResults()`
`void`
`reset()`
`void`
`setRewrite(boolean rewritten)`

## Field Details

### RESULT_SET_VALUE

static final int RESULT_SET_VALUE

See Also:
  - Constant Field Values

## Method Details

### getUpdateCounts

int[] getUpdateCounts()

### getServerUpdateCounts

int[] getServerUpdateCounts()

### getLargeUpdateCounts

long[] getLargeUpdateCounts()

### getUpdateCount

int getUpdateCount()

### getLargeUpdateCount

long getLargeUpdateCount()

### addSuccessStat

void addSuccessStat(long updateCount, long insertId)

### addErrorStat

void addErrorStat()

### reset

void reset()

### addResultSetStat

void addResultSetStat()

### getGeneratedKeys

ResultSet getGeneratedKeys(Protocol protocol, String sql)

### getBatchGeneratedKeys

ResultSet getBatchGeneratedKeys(Protocol protocol)

### getCurrentStatNumber

int getCurrentStatNumber()

### moreResults

boolean moreResults()

### isCurrentUpdateCount

boolean isCurrentUpdateCount()

### setRewrite

void setRewrite(boolean rewritten)